const mysql = require('mysql2');
let connection = null;

class DAL
{
    static connect()
    {
        if(connection == null)
        {
            connection = mysql.createConnection({
                host: process.env.MYSQL_HOST,
                port: process.env.MYSQL_PORT,
                user: process.env.MYSQL_USER,
                password: process.env.MYSQL_PASSWORD,
                database: process.env.MYSQL_DBNAME
            }).promise();
        }
        
        return connection;
    }

    // this is not used anywhere
    static myQuery(sql, params)
    {
        const result = async () => {
            const [rows] = await this.connect().query(sql, params);
            return rows;
        }

        return result();
    }
}

module.exports = DAL;