const express = require('express');
const router = express.Router();
const siteController = require('../controllers/SiteController');

router.get('/login', siteController.isLogin, siteController.actionLogin);
router.post('/login', siteController.isLogin, siteController.actionLogin);

router.get('/register', siteController.isLogin, siteController.actionRegister);
router.post('/register', siteController.isLogin, siteController.actionRegister);

router.get('/logout', siteController.isNotLogin, siteController.actionLogout);

module.exports = router;
