const express = require('express');
const router = express.Router();
const siteController = require('../controllers/SiteController');
const userControler = require('../controllers/UserController');

router.get('/index', siteController.isNotLogin, userControler.actionIndex);
router.get('/view/:userID', siteController.isNotLogin, userControler.actionView);

module.exports = router;